Fazer a sincronização com o Mailchimp

Firebase
Made by Firebase

Adiciona novos usuários do Firebase Authentication ao público especificado do Mailchimp.

Como esta extensão funciona

Use this extension to add new users to an existing Mailchimp audience.

This extension adds the email address of each new user to your specified Mailchimp audience. Also, if the user deletes their user account for your app, this extension removes the user from the Mailchimp audience.

Note: To use this extension, you need to manage your users with Firebase Authentication.

This extension uses Mailchimp, so you'll need to supply your Mailchimp API Key and Audience ID when installing this extension.

Additional setup

Make sure that you've set up Firebase Authentication to manage your users.

You must also have a Mailchimp account before installing this extension.

Billing

To install an extension, your project must be on the Blaze (pay as you go) plan

  • You will be charged a small amount (typically around $0.01/month) for the Firebase resources required by this extension (even if it is not used).
  • This extension uses other Firebase and Google Cloud Platform services, which have associated charges if you exceed the service’s free tier:
  • Cloud Functions (Node.js 10+ runtime. See FAQs)

Usage of this extension also requires you to have a Mailchimp account. You are responsible for any associated costs with your usage of Mailchimp.

Como instalar a extensão

Como usar o Console do Firebase

Para instalar e gerenciar extensões, use o Console do Firebase.

Instalar usando o console

Como usar a Firebase CLI

Para instalar e gerenciar extensões, também é possível usar a Firebase CLI:

Etapa 1: execute o comando npm (em inglês) a seguir para instalar a CLI ou atualizá-la para a versão mais recente.

npm install -g firebase-tools
Não está funcionando? Consulte a referência da Firebase CLI ou altere suas permissões do npm (em inglês).

Etapa 2: execute o comando a seguir para instalar a extensão.

firebase ext:install auth-mailchimp-sync --project=projectId_or_alias
Licença
Apache-2.0
Versão
0.1.2